python-gst-1.0_1.14.0-1_i386.deb


Advertisement

Description

python-gst-1.0 - GStreamer GObject Introspection overrides for Python

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-gst-1.0_1.14.0-1_i386.deb
Package name python-gst-1.0
Package version 1.14.0
Package release 1
Package architecture i386
Package type deb
Category universe/python
Homepage http://gstreamer.freedesktop.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 14.41 KB
Installed size 60.00 KB
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.  Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.
This package contains GObject Introspection overrides for Python that
can be used by Python applications using GStreamer.

Alternatives

Package Version Architecture Repository
python-gst-1.0_1.14.5-0ubuntu1~18.04.1_i386.deb 1.14.5 i386 Ubuntu Updates Universe
python-gst-1.0_1.14.5-0ubuntu1~18.04.1_amd64.deb 1.14.5 amd64 Ubuntu Updates Universe
python-gst-1.0_1.14.0-1_amd64.deb 1.14.0 amd64 Ubuntu Universe
python-gst-1.0 - - -

Requires

Name Value
gir1.2-glib-2.0 -
gir1.2-gst-plugins-base-1.0 >= 1.14.0
gir1.2-gstreamer-1.0 >= 1.14.0
libc6 >= 2.4
libglib2.0-0 >= 2.12.0
libgstreamer1.0-0 >= 1.14.0
python << 2.8
python >= 2.7~
python-gi >= 3.0
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-gst-1.0_1.14.0-1_i386.deb
Source Package gst-python1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gst-1.0 deb package:
    # sudo apt-get install python-gst-1.0

Files

Path
/usr/lib/python2.7/dist-packages/gi/overrides/Gst.py
/usr/lib/python2.7/dist-packages/gi/overrides/GstPbutils.py
/usr/lib/python2.7/dist-packages/gi/overrides/_gi_gst.i386-linux-gnu.so
/usr/share/doc/python-gst-1.0/changelog.Debian.gz
/usr/share/doc/python-gst-1.0/copyright

Changelog

2018-03-20 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.14.0-1) unstable; urgency=medium
* New upstream stable release.
2018-03-14 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.13.91-1) experimental; urgency=medium
* New upstream release candidate.
2018-03-05 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.13.90-1) experimental; urgency=medium
* New upstream release candidate.
2018-02-26 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.13.1-1) experimental; urgency=medium
* New upstream development release.
2018-01-23 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.12.4-2) unstable; urgency=medium
* debian/rules:
+ Also clean-up install directories
* debian/rules,
debian/control,
debian/*.install:
+ Ship Python plugin loader for each build in a separate package that
conflicts with all the others. There can only be one of the plugin
loaders be installed at a time as otherwise the different Python
versions would all be loaded into the same process.
Previously the Python plugin loader was removed in version 1.4.0-2.
It is currently only shipped for the non-debug Python 3 build, as there
are some problems with the upstream code in debug builds and it does not
work with Python 2. Python 2 support will also likely be dropped with
the next upstream release (in general).
* debian/control:
+ Use python3:Depends for the Python3 packages.
+ Fix-up dependencies of the -dbg packages.
2017-12-07 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.12.4-1) unstable; urgency=medium
* New upstream bugfix release
2017-09-18 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.12.3-1) unstable; urgency=medium
* New upstream bugfix release
2017-07-14 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.12.2-1) unstable; urgency=medium
* New upstream bugfix release
2017-06-20 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.12.1-1) unstable; urgency=medium
* New upstream bugfix release
2017-05-04 - Sebastian Dröge <slomo@debian.org>
gst-python1.0 (1.12.0-1) experimental; urgency=medium
* New upstream stable release

See Also

Package Description
python-gtextfsm_0.2.1-1_all.deb template based state machine for parsing semi-formatted text
python-gtk-gnash_0.8.11~git20160608-1.4_i386.deb GNU Shockwave Flash (SWF) player - Python bindings
python-gtk-vnc_0.7.2-1_i386.deb VNC viewer widget for GTK+2 (Python binding)
python-gtk2-dev_2.24.0-5.1ubuntu2_all.deb GTK+ bindings: devel files
python-gtk2-doc_2.24.0-5.1ubuntu2_all.deb Python bindings for the GTK+ widget set - documentation
python-gtk2_2.24.0-5.1ubuntu2_i386.deb Python bindings for the GTK+ widget set
python-gtkglext1_1.1.0-9.1_i386.deb GtkGLext python bindings
python-gtksourceview2_2.10.1-3_i386.deb Python bindings for the GtkSourceView widget
python-gtkspellcheck-doc_4.0.5-1_all.deb Python GTK+ Spellcheck common documentation
python-gtkspellcheck_4.0.5-1_all.deb Python 2 spellchecking library GTK+ based on Enchant
python-gts_0.3.1-6_i386.deb Python wrapper for the GNU Triangulated Surface library (GTS)
python-gtts-token_1.1.1-1_all.deb Calculates a token to run the Google Translate text to speech (Python 2)
python-gtts_1.2.0-1_all.deb Wrapper for the Google TTS (Text-to-Speech) API (Python 2)
python-guacamole_0.9.2-2_all.deb framework for creating command line applications (Python 2)
python-guessit_0.11.0-2_all.deb library for guessing information from video filenames (Python 2)
Advertisement
Advertisement